Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.xmp.schemas.pdf
Class PDFUAAdapter

    java.lang.Object
      org.apache.xmlgraphics.xmp.XMPSchemaAdapter
          org.apache.xmlgraphics.xmp.schemas.pdf.PDFUAAdapter

    public class PDFUAAdapter

extends XMPSchemaAdapter

Schema adapter implementation for both the old (deprecated) and the current PDF/UA schema. The old namespace is still needed to make Adobe Acrobat happy.

Field Summary

Fields inherited from class org.apache.xmlgraphics.xmp.XMPSchemaAdapter
`meta`

Constructor Summary
`PDFUAAdapter(Metadata meta, String namespace)` Constructs a new adapter for PDF/UA around the given metadata object.

Method Summary
`int` | `getPart()`
`void` | `setPart(int value)`

Methods inherited from class org.apache.xmlgraphics.xmp.XMPSchemaAdapter
`addDateToSeq, addObjectToArray, addStringToBag, addStringToSeq, findQualifiedStructure, findQualifiedValue, formatISO8601Date, formatISO8601Date, getDateArray, getDateValue, getLangAlt, getObjectArray, getQName, getSchema, getStringArray, getValue, removeLangAlt, removeStringFromArray, setCompact, setDateValue, setLangAlt, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFUAAdapter

    public PDFUAAdapter(Metadata meta,
                        String namespace)

  Constructs a new adapter for PDF/UA around the given metadata object.

  Parameters:
    `meta` - the underlying metadata
    `namespace` - the namespace to access the schema (must be one of the PDF/UA schema namespaces)

Method Detail

### setPart

    public void setPart(int value)

### getPart

    public int getPart()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.